mod db_pool;
mod errors;
mod models;
mod routers;

use axum::{
    routing::{get, post},
    Router,
};
use errors::AppError;

use crate::routers::benutzer::erstelle_benutzer;

#[tokio::main]
async fn main() -> Result<(), AppError> {
    let pool = db_pool::create_pool().await?;

    // let row: (i64) = sqlx::query_as("SELECT $1")
    //     .bind(150_i64)
    //     .fetch_one(&pool)
    //     .await?;
    // println!("Row: {:?}", row);

    let app = Router::new()
        .route("/", get(root))
        .route("/benutzer", post(erstelle_benutzer));

    let listener = tokio::net::TcpListener::bind("1127.0.0.1:3000").await?;

    tracing::debug!("listening on {}", listener.local_addr()?);
    axum::serve(listener, app).await?;

    Ok(())
}

async fn root() -> &'static str {
    "Hello, World!"
}
