use super::kategorien::Kategorie;
use serde::{Deserialize, Serialize};
use std::io::Error;

#[derive(Deserialize, Serialize, Debug)]
pub struct Amtsbezeichnung {
    pub id: u64,
    pub name: String,
    pub kategorie: Kategorie,
}

pub struct AmtsbezeichnungErstellen {
    pub name: String,
    pub kategorie_id: u64,
}

// pub struct AmtsbezeichnungAendern {
//     pub id: u64,
//     pub name: Option<String>,
//     pub kategorie_id: Option<u64>,
// }

pub trait Check {
    fn check_id(&self) -> Result<(), Error>;
}

impl Check for AmtsbezeichnungErstellen {
    fn check_id(&self) -> Result<(), Error> {
        if self.kategorie_id == 0 {
            return Err(Error::new(std::io::ErrorKind::Other, "Kategorie-ID fehlt"));
        }
        Ok(())
    }
}
