use super::amtsbezeichnungen::Amtsbezeichnung;
use super::dienststellen::Dienststelle;
use super::gruppen::Gruppe;
use super::rollen::Rolle;
use serde::{Deserialize, Serialize};

#[derive(Deserialize)]
pub struct ErstelleBenutzer {
    pub kennung: String,
    pub vorname: String,
    pub nachname: String,
    pub telefon: String,
    pub rollen: Option<Vec<Rolle>>,
    pub gruppen: Option<Vec<Gruppe>>,
}

#[derive(Serialize)]
pub struct UpdateBenutzer {
    pub id: u64,
    pub kennung: String,
}

#[derive(Serialize, Debug)]
pub struct Benutzer {
    pub id: u64,
    pub kennung: String,
    pub vorname: String,
    pub nachname: String,
    pub telefon: String,
    pub amtsbezeichnung: Amtsbezeichnung,
    pub dienststelle: Dienststelle,
    pub abweichende_dienststelle: Option<Dienststelle>,
    pub rollen: Option<Vec<Rolle>>,
    pub gruppen: Option<Vec<Gruppe>>,
}
