use axum::{http::StatusCode, response::IntoResponse, Json};

use crate::models::amtsbezeichnungen::Amtsbezeichnung;
use crate::models::benutzer::{Benutzer, ErstelleBenutzer};
use crate::models::dienststellen::Dienststelle;
use crate::models::kategorien::Kategorie;

pub async fn erstelle_benutzer(Json(payload): Json<ErstelleBenutzer>) -> impl IntoResponse {
    let kat = Kategorie {
        id: 1337,
        name: String::from("Kategorie"),
    };

    let ab = Amtsbezeichnung {
        id: 1337,
        name: String::from("Dienstgrad"),
        kategorie: kat,
    };

    let dst = Dienststelle {
        id: 1,
        name: String::from("test"),
    };

    let user = Benutzer {
        id: 1337,
        kennung: payload.kennung,
        nachname: payload.nachname,
        vorname: payload.vorname,
        amtsbezeichnung: ab,
        dienststelle: dst,
        telefon: payload.telefon,
        abweichende_dienststelle: None,
        gruppen: None,
        rollen: None,
    };

    tracing::debug!("Benutzer: {:?}", user);
    (StatusCode::CREATED, Json(user))
}
